Forms
Create a form
x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/forms" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "string", "workspaceId": "string", "name": "string", "slug": "string", "publicSlug": "string", "status": "DRAFT", "description": "string", "fields": { "sections": [ { "id": "string", "title": "string", "description": "string", "fields": [ { "id": "string", "slug": "string", "type": "string", "label": "string", "required": true, "placeholder": "string", "helperText": "string", "options": [ { "value": "string", "label": "string", "reveals": {} } ], "defaultValue": "string", "description": "string" } ] } ] }, "settings": {}, "showInCommunity": true, "submissionCount": 0 }}List forms GET
Requires `FORMS_READ` or `FORMS_SUBMIT` (`FORMS_WRITE` covers both). Callers holding `FORMS_SUBMIT` without `FORMS_READ`, which includes every app caller (apps can't be granted `FORMS_READ`), see only published forms with `showInCommunity` on, with the real `submissionCount` and only the render part of `settings` (`respondent`, `theme`, `css`; see `Form`). A 403 to an app names `FORMS_SUBMIT`, the scope an app can be granted.
Generate a form definition POST
Next Page
Planeward Docs